Update Webhook
Update a webhook listener.
Path Parameters
- Type: stringwebhook
_id requiredUnique identifier for the Gumlet Webhook which needs to be updated.
Body
application/json
- Type: stringsecret
_token Secret sent back in the
x-gumlet-tokenheader of each webhook POST so you can confirm the request came from Gumlet. - Type: array of stringsources
List of video collection identifiers for which webhooks are needed to be invoked.
- Type: array of stringenumtriggers
Events that invoke this webhook.
statussubscribes to every video asset status event.live-video-statussubscribes to every live video status event. Any other value subscribes to that event only.values- status
- live
-video -status - video
.status .created - video
.status .downloaded - video
.status .optimized - video
.status .ready - video
.status .errored - video
.status .deleted
- Type: stringurl
URL from the application you want to send data to.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/org/webhooks/{webhook_id}
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const webhookEndpoint = await client.webhookEndpoints.update('webhookId');
console.log(webhookEndpoint);
{
"id": "65eed75eadeea8478f14ebd4",
"url": "https://webhook.site/16df065a-b398-48bc-b825-b0804979c5f2",
"triggers": [
"status"
],
"created_at": "2024-03-11T10:05:18.316Z",
"updated_at": "2024-03-11T10:10:37.461Z",
"sources": [
"5f462c1561cf8a766464ffc4"
],
"secret_token": "rnVNfIKgnH"
}
